* {
    box-sizing: inherit;
}
a {
    color: black;
}
#indexlist a {
    color: white;
}
#indexlist {
    margin: 2rem 2rem 0rem;
    padding: 2rem 4rem;
}
@font-face {
    font-family: 'Yu Gothic UI';
    src: url('https://files.vermin.tech/public/fonts/YuGothicUI-Semilight.woff2');
    font-weight: normal;
}
@font-face {
    font-family: 'Yu Gothic UI';
    src: url('https://files.vermin.tech/public/fonts/YuGothicUI-Semibold.woff2');
    font-weight: bold;
}
@font-face {
    font-family: 'MingLiU-ExtB';
    src: url('https://files.vermin.tech/public/fonts/MingLiU-ExtB.woff2');
    font-weight: normal;
}
@keyframes blink {
    50% {
        opacity: 0.0;
    }
}
.location::after {
    content: "right";
}
.active::after {
    animation: blink 1s step-start 0s infinite;
    font-style: italic;
    content: " <-- Here!";
}
.sitemap {
    list-style: none;
    margin-bottom: 1rem;
}
.inactive {
    text-wrap: wrap;
}
.active {
    text-wrap: nowrap;
}
html {
    font-size: 1vw;
    box-sizing: content-box;
}
body {
    background-color: black;
    color: white;
    font-family: "Yu Gothic UI";
    margin: 0rem;
    width: 100vw;
    height: 100vh;
}
#wrapper {
    display: grid;
    min-height: 100%;
    max-width: 100%;
    grid-template-rows: auto 1fr auto;
}
header #top_header {
    /*height: 7rem;*/
    margin: 2rem 2rem 0rem;
    font-family: "MingLiU-ExtB";
    background-color: white;
    color: black;
    display: flex;
    flex-wrap: nowrap;
    padding: 2rem 4rem;
    align-items: center;
    max-width: 100%;
}
.left {
    flex: 1 0 min-content;
    max-width: min-content;
    flex-direction: column;
}
.right {
    flex: 1 1 0;
}
.center {
    flex: 1;
}

header #top_header .left {
    display: flex;
    flex-wrap: wrap;
}
header #top_header .center {
    background-image: url("public/imgs/small_rose.png");
    background-repeat: space no-repeat;
    margin-left: 4rem;
    margin-right: 4rem;
}
header #top_header .center img {
    width: auto;
}
header #top_header .right {
    justify-content: space-between;
    display: flex;
    min-width: 40%
}
header #top_header .right div {

}
header #top_header .nav {
    font-size: 3rem;
}
header #top_header #title {
    font-size: 4rem;
    font-weight: bold;
    width: fit-content;
}
header #top_header #playing_now_container {
    max-width: 100%;
    text-wrap: wrap;
}

main #main {
    margin: 1rem 2rem 2rem;
    padding: 2rem 2rem 4rem 4rem;
    background-color: white;
    color: black;
    display: flex;
    align-items: flex-start;
}
main #primary {
    flex: 1;
    width: 50%;
    padding-right: 4rem;
}
main #secondary {
    flex: 1;
    max-width: 30%;
    padding-left: 2rem;
    padding-right: 2rem;
}
#featured_image {
    margin-top: 1rem;
    border-width: .5rem;
    border-color: black;
    border-style: solid;
}
#secondary img {
    width: 100%;
}
main #sidebar {
    min-width: 20%;
    display: flex;
    flex-direction: column;
    background: black;
    color: white;
    padding: 1rem;
    margin-left: 2rem;
}
main #sidebar h2 {
    font-style: normal;
    margin-bottom: 1rem;
}
main #sidebar a {
    color: white;
}
main #sidebar .bold {
    font-style: italic;
}
main h1 {
    font-style: italic;
    margin: 0rem;
}
main h2 {
    margin: 0rem;
    font-style: italic;
}
main ol {
    list-style-type: lower-greek;
    padding: 0rem 0rem 0rem 1rem;
}
main ul {
    margin: 0rem;
}
.bold {
    font-weight: bolder;
}
footer #footer {
    font-family: MingLiU-ExtB;
    background: black;
    color: white;
    height: auto;
    margin: 2rem;
    padding: 2rem 4rem;
}
.no_box {
    margin: 0rem;
    padding: 0rem;
}
.top_margin {
    margin-top: 1rem;
}
.bottom_margin {
    margin-bottom: 1rem;
}
@media screen and (width < 50rem) {
    html {
        font-size: 1vw;
    }
    header #top_header {
        text-underline-offset: .5rem;
    }
    h1, header #top_header #title {
        font-size: 5rem;
    }
    header #top_header .center {
        background-image: none;
        display: flex;
        justify-content: center;
    }
    header #top_header .center img {
        max-width: 100%;
        height: auto;
    }
    h2, header #top_header .nav a {
        font-size: 4rem;
    }
    p,a,li {
        font-size: 3rem;
    }
    .active::after {
        content: " <-- "
    }
    header #top_header #playing_now_container p,
    header #top_header #playing_now_container a {
        font-size: 2rem;
    }
    main #main {
        display: grid;
        grid-template-columns: 70% 30%;
        grid-template-rows: 1fr .5fr;
        height: auto;
        gap: 1rem;
    }
    main #primary {
        grid-row-start: 1;
        grid-column-start: 1;
        width: auto;
    }
    main #secondary {
        padding-left: 0rem;
        grid-row-start: 2;
        grid-column-start: 1;
        max-width: 100%;
        max-height: 100%;
    }
    main #sidebar {
        grid-row-start: 1;
        grid-column-start: 2;
        width: auto;
    }
    .location::after {
        content: "below";
    }
}
